GNU bug report logs - #22321
25.1.50; byte-recompile-directory mis-compares against dir-locals-file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Jeremy T. Braun" <spamprevent@HIDDEN>; merged with #23257; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 22321 <at> debbugs.gnu.org and "Jeremy T. Braun" <spamprevent@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22321 <at> debbugs.gnu.org:


Received: (at 22321) by debbugs.gnu.org; 4 Jul 2021 14:25:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 04 10:25:19 2021
Received: from localhost ([127.0.0.1]:42972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m033f-0003xu-71
	for submit <at> debbugs.gnu.org; Sun, 04 Jul 2021 10:25:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1m033d-0003xX-Lt; Sun, 04 Jul 2021 10:25:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JotmT49fX687xIhAA9i1vahuQv2poV868jeYkcDdZ2w=; b=J76/kFeBZR7kWEo6NWSt3lWf7G
 v4S+wLRIZihKnfIU/t4Xw0sStY/ZxM1ZRsNfZzPN3hsATceCIhbdrYDP621p12cZQBdNwaR6M/DZM
 zW97Ui0RMg8II6IEaC7/x2ovmRbVj5oOG33htyjkDejArPEdBqSjtJHIKDDqxZNirFqY=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m033U-0001BD-Fz; Sun, 04 Jul 2021 16:25:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Johan Claesson <johanclaesson@HIDDEN>
Subject: Re: bug#22321: 25.1.50; byte-recompile-directory mis-compares
 against dir-locals-file
References: <87zit25uoa.fsf@HIDDEN>
X-Now-Playing: Joe Jackson's _Mike's Murder_: "1-2-3 Go"
Date: Sun, 04 Jul 2021 16:25:07 +0200
In-Reply-To: <87zit25uoa.fsf@HIDDEN> (Johan Claesson's message of "Sat, 
 09 Apr 2016 23:39:01 +0200")
Message-ID: <87zgv217i4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Johan Claesson <johanclaesson@HIDDEN> writes: >
 byte-recompile-directory
 ignore file names equal to dir-locals-file. I > think it would make sense
 that it treat the new dir-locals-file-2 in the > same way. > > The same goes
 for load-path-shadows- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22321
Cc: 22321 <at> debbugs.gnu.org, 23257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Johan Claesson <johanclaesson@HIDDEN> writes:

> byte-recompile-directory ignore file names equal to dir-locals-file.  I
> think it would make sense that it treat the new dir-locals-file-2 in the
> same way.
>
> The same goes for load-path-shadows-find.  It ignores dir-locals-file
> and should probably also ignore dir-locals-file-2.

Yes, I think that makes sense, so I've now done this in Emacs 28.  It
was also suggested that all files starting with "." should be ignored,
but I think that sounds like a pretty backwards-incompatible change.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22321; Package emacs. Full text available.
Removed indication that bug 22321 blocks Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 22321 23257. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22321 <at> debbugs.gnu.org:


Received: (at 22321) by debbugs.gnu.org; 6 Jan 2016 21:07:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 16:07:42 2016
Received: from localhost ([127.0.0.1]:40646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aGvJ0-00026L-Fu
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2016 16:07:42 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:58891)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <whitebox@HIDDEN>) id 1aGvIz-00026B-3C
 for 22321 <at> debbugs.gnu.org; Wed, 06 Jan 2016 16:07:41 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3pbNZ26dwLz3hjZK;
 Wed,  6 Jan 2016 22:07:38 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3pbNZ24Q8Wzvh1n;
 Wed,  6 Jan 2016 22:07:38 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id DZFl_F_ThU1B; Wed,  6 Jan 2016 22:07:37 +0100 (CET)
X-Auth-Info: KO0tQaoM8VI1IPmfxiS3xdOjj8o/ssfgIbuCTAgabQBnLKjsX3t1vwhsJctBN6RD
Received: from igel.home (host-188-174-197-141.customer.m-online.net
 [188.174.197.141]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Wed,  6 Jan 2016 22:07:37 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 27CC42C5E18; Wed,  6 Jan 2016 22:07:37 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: "Jeremy T. Braun" <spamprevent@HIDDEN>
Subject: Re: bug#22321: 25.1.50;
 byte-recompile-directory mis-compares against dir-locals-file
References: <568D5FEF.4090800@HIDDEN>
X-Yow: On SECOND thought, maybe I'll heat up some BAKED BEANS and
 watch REGIS PHILBIN..  It's GREAT to be ALIVE!!
Date: Wed, 06 Jan 2016 22:07:37 +0100
In-Reply-To: <568D5FEF.4090800@HIDDEN> (Jeremy T. Braun's message of
 "Wed, 6 Jan 2016 10:41:51 -0800")
Message-ID: <87a8oil8me.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22321
Cc: 22321 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Perhaps byte-recompile-directory should ignore all files starting with
".".

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22321; Package emacs. Full text available.
Added indication that bug 22321 blocks19759 Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jan 2016 19:10:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 14:10:00 2016
Received: from localhost ([127.0.0.1]:40608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aGtT5-0005mW-Nz
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2016 14:10:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54910)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <spamprevent@HIDDEN>) id 1aGt29-0003ON-FL
 for submit <at> debbugs.gnu.org; Wed, 06 Jan 2016 13:42:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spamprevent@HIDDEN>) id 1aGt21-0006Cg-Gs
 for submit <at> debbugs.gnu.org; Wed, 06 Jan 2016 13:42:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34998)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <spamprevent@HIDDEN>) id 1aGt21-0006CF-DA
 for submit <at> debbugs.gnu.org; Wed, 06 Jan 2016 13:42:01 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45841)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <spamprevent@HIDDEN>) id 1aGt1y-0007ux-Dj
 for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2016 13:42:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spamprevent@HIDDEN>) id 1aGt1v-00065j-3F
 for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2016 13:41:58 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:49743)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <spamprevent@HIDDEN>) id 1aGt1u-000638-Rc
 for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2016 13:41:55 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 4CC43205AA
 for <bug-gnu-emacs@HIDDEN>; Wed,  6 Jan 2016 13:41:53 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute5.internal (MEProxy); Wed, 06 Jan 2016 13:41:53 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=squidevil.net; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp; bh=XDO
 67iSyDW6sLPVbTHuBHqAHMTc=; b=ElpNjuQVrquYBLyNcK7ZRpmmWfjXq5/feqa
 lHR8JyDmdyNnLxbBEghOkfRlHMxpML75c07BbIvPF0mzAKwWnwzTo+36H4trScgA
 r8FKzrbb7080NBcWYvJRYk/D59t1SVr085VGxcPac54fLdNDSkhyIIw6vgcFoCUP
 QYKKdg8s=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=XDO67iSyDW6sLPVbTHuBHqAHMTc=; b=iX0LJ
 AZfteKkKH0pgtLlkRqvod4vPjBAGRQ8Kti2FsIBN0JdmDPsVum/q91wc6sOUnHTf
 un/Fb59SEzggIL/sLae4aJKICl9DpvYQ6Jxa0HKCl76emzsHdb84os2g8HX3kmB0
 KcwNkfAhIQrZ4OJisqb7UFrRi1NQXM4sZN0TJA=
X-Sasl-enc: YuqZpdeeCXYh0dXLSlcjY9f4aCkA/R9fxH5jovJG7G2o 1452105712
Received: from [10.60.1.14] (unknown [192.31.242.195])
 by mail.messagingengine.com (Postfix) with ESMTPA id C8B09680163
 for <bug-gnu-emacs@HIDDEN>; Wed,  6 Jan 2016 13:41:52 -0500 (EST)
To: bug-gnu-emacs@HIDDEN
From: "Jeremy T. Braun" <spamprevent@HIDDEN>
Subject: 25.1.50; byte-recompile-directory mis-compares against dir-locals-file
Message-ID: <568D5FEF.4090800@HIDDEN>
Date: Wed, 6 Jan 2016 10:41:51 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.4.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 06 Jan 2016 14:09:58 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

In byte-recompile-directory, it contains this test:
                ;; It is an ordinary file.  Decide whether to compile it.
                (if (and (string-match emacs-lisp-file-regexp source)
                         ;; The next 2 tests avoid compiling lock files
                         (file-readable-p source)
(not (string-match "\\`\\.#" file))
(not (auto-save-file-name-p source))
                         (not (string-equal dir-locals-file
                                            (file-name-nondirectory 
source))))
However, dir-locals-file is defined as a glob pattern:
     (defconst dir-locals-file ".dir-locals*.el"

The test shouldn't be string-equal, but some sort of wildcard 
expansion.  As it is, byte-recompile-directory tries to byte-compile 
files named .dir-locals.el, etc. That's probably not intended.


In GNU Emacs 25.1.50.2 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8)
  of 2016-01-03 built on lcy01-13
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description:    Ubuntu 14.04.3 LTS

Configured using:
  'configure --build=x86_64-linux-gnu --prefix=/usr
  '--includedir=${prefix}/include' '--mandir=${prefix}/share/man'
  '--infodir=${prefix}/share/info' --sysconfdir=/etc --localstatedir=/var
  '--libdir=${prefix}/lib/x86_64-linux-gnu'
  '--libexecdir=${prefix}/lib/x86_64-linux-gnu' --disable-maintainer-mode
  --disable-dependency-tracking --prefix=/usr --sharedstatedir=/var/lib
  --program-suffix=-snapshot --with-x=yes --with-x-toolkit=gtk3
  'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat
  -Werror=format-security' CPPFLAGS=-D_FORTIFY_SOURCE=2
  'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
   nxhtml-tag-do-also: t
   popcmp-group-alternatives: t
   popcmp-short-help-beside-alts: t
   rngalt-minimal-validation-header: t
   rngalt-display-validation-header: t
   electric-pair-mode: t
   flycheck-color-mode-line-mode: t
   flycheck-mode: t
   dtrt-indent-mode: t
   helm-mode: t
   shell-dirtrack-mode: t
   projectile-global-mode: t
   projectile-mode: t
   async-bytecomp-package-mode: t
   popwin-mode: t
   diff-auto-refine-mode: t
   nxhtml-menu-mode: t
   global-ethan-wspace-mode: t
   ethan-wspace-mode: t
   ethan-wspace-clean-many-nls-eof-mode: t
   ethan-wspace-clean-no-nl-eof-mode: t
   ethan-wspace-clean-eol-mode: t
   global-auto-complete-mode: t
   auto-complete-mode: t
   delete-selection-mode: t
   cua-mode: t
   global-rainbow-delimiters-mode: t
   rainbow-delimiters-mode: t
   show-paren-mode: t
   minibuffer-depth-indicate-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
The first line should be of the form: ";;; package --- Summary"

uncompressing bytecomp.el.gz...done
Note: file is write protected
Mark saved where search started [2 times]

previous-line: Beginning of buffer
uncompressing files.el.gz...done
Note: file is write protected
Mark saved where search started

Load-path shadows:
/home/jbraun/.emacs.d/site-lisp/progmodes/cython-mode hides 
/home/jbraun/.emacs.d/elpa/cython-mode-20140705.1229/cython-mode
/home/jbraun/.emacs.d/site-lisp/progmodes/python-mode hides 
/home/jbraun/.emacs.d/elpa/python-mode-20150820.558/python-mode
/home/jbraun/.emacs.d/elpa/helm-20150923.447/helm-multi-match hides 
/home/jbraun/.emacs.d/elpa/helm-core-20150923.447/helm-multi-match
/home/jbraun/.emacs.d/elpa/gtags-3.3/gtags hides 
/usr/share/emacs/site-lisp/global/gtags
/usr/share/emacs/site-lisp/dictionaries-common/flyspell hides 
/usr/share/emacs/25.1.50/lisp/textmodes/flyspell
/usr/share/emacs/site-lisp/rst hides 
/usr/share/emacs/25.1.50/lisp/textmodes/rst
/usr/share/emacs/site-lisp/dictionaries-common/ispell hides 
/usr/share/emacs/25.1.50/lisp/textmodes/ispell
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-bytecomp hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-bytecomp
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-awk hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-awk
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-styles hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-styles
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-langs hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-langs
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-menus hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-menus
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-align hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-align
/home/jbraun/.emacs.d/site-lisp/progmodes/cperl-mode hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cperl-mode
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-guess hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-guess
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-mode hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-mode
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-fonts hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-fonts
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-cmds hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-cmds
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-engine hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-engine
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-defs hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-defs
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-vars hides 
/usr/share/emacs/25.1.50/lisp/progmodes/cc-vars
/home/jbraun/.emacs.d/elpa/org-20150921/org-entities hides 
/usr/share/emacs/25.1.50/lisp/org/org-entities
/home/jbraun/.emacs.d/elpa/org-20150921/ob-ruby hides 
/usr/share/emacs/25.1.50/lisp/org/ob-ruby
/home/jbraun/.emacs.d/elpa/org-20150921/ob-keys hides 
/usr/share/emacs/25.1.50/lisp/org/ob-keys
/home/jbraun/.emacs.d/elpa/org-20150921/ob hides 
/usr/share/emacs/25.1.50/lisp/org/ob
/home/jbraun/.emacs.d/elpa/org-20150921/ox-publish hides 
/usr/share/emacs/25.1.50/lisp/org/ox-publish
/home/jbraun/.emacs.d/elpa/org-20150921/org-docview hides 
/usr/share/emacs/25.1.50/lisp/org/org-docview
/home/jbraun/.emacs.d/elpa/org-20150921/org-table hides 
/usr/share/emacs/25.1.50/lisp/org/org-table
/home/jbraun/.emacs.d/elpa/org-20150921/ob-scala hides 
/usr/share/emacs/25.1.50/lisp/org/ob-scala
/home/jbraun/.emacs.d/elpa/org-20150921/org-gnus hides 
/usr/share/emacs/25.1.50/lisp/org/org-gnus
/home/jbraun/.emacs.d/elpa/org-20150921/ob-python hides 
/usr/share/emacs/25.1.50/lisp/org/ob-python
/home/jbraun/.emacs.d/elpa/org-20150921/ox-ascii hides 
/usr/share/emacs/25.1.50/lisp/org/ox-ascii
/home/jbraun/.emacs.d/elpa/org-20150921/org-src hides 
/usr/share/emacs/25.1.50/lisp/org/org-src
/home/jbraun/.emacs.d/elpa/org-20150921/ox-beamer hides 
/usr/share/emacs/25.1.50/lisp/org/ox-beamer
/home/jbraun/.emacs.d/elpa/org-20150921/ox-odt hides 
/usr/share/emacs/25.1.50/lisp/org/ox-odt
/home/jbraun/.emacs.d/elpa/org-20150921/ob-C hides 
/usr/share/emacs/25.1.50/lisp/org/ob-C
/home/jbraun/.emacs.d/elpa/org-20150921/ob-tangle hides 
/usr/share/emacs/25.1.50/lisp/org/ob-tangle
/home/jbraun/.emacs.d/elpa/org-20150921/ob-gnuplot hides 
/usr/share/emacs/25.1.50/lisp/org/ob-gnuplot
/home/jbraun/.emacs.d/elpa/org-20150921/org-info hides 
/usr/share/emacs/25.1.50/lisp/org/org-info
/home/jbraun/.emacs.d/elpa/org-20150921/org-datetree hides 
/usr/share/emacs/25.1.50/lisp/org/org-datetree
/home/jbraun/.emacs.d/elpa/org-20150921/org-macs hides 
/usr/share/emacs/25.1.50/lisp/org/org-macs
/home/jbraun/.emacs.d/elpa/org-20150921/ob-lob hides 
/usr/share/emacs/25.1.50/lisp/org/ob-lob
/home/jbraun/.emacs.d/elpa/org-20150921/ob-makefile hides 
/usr/share/emacs/25.1.50/lisp/org/ob-makefile
/home/jbraun/.emacs.d/elpa/org-20150921/ob-io hides 
/usr/share/emacs/25.1.50/lisp/org/ob-io
/home/jbraun/.emacs.d/elpa/org-20150921/org-element hides 
/usr/share/emacs/25.1.50/lisp/org/org-element
/home/jbraun/.emacs.d/elpa/org-20150921/ob-matlab hides 
/usr/share/emacs/25.1.50/lisp/org/ob-matlab
/home/jbraun/.emacs.d/elpa/org-20150921/ob-sqlite hides 
/usr/share/emacs/25.1.50/lisp/org/ob-sqlite
/home/jbraun/.emacs.d/elpa/org-20150921/ob-plantuml hides 
/usr/share/emacs/25.1.50/lisp/org/ob-plantuml
/home/jbraun/.emacs.d/elpa/org-20150921/ox-html hides 
/usr/share/emacs/25.1.50/lisp/org/ox-html
/home/jbraun/.emacs.d/elpa/org-20150921/ob-css hides 
/usr/share/emacs/25.1.50/lisp/org/ob-css
/home/jbraun/.emacs.d/elpa/org-20150921/ox-texinfo hides 
/usr/share/emacs/25.1.50/lisp/org/ox-texinfo
/home/jbraun/.emacs.d/elpa/org-20150921/org-timer hides 
/usr/share/emacs/25.1.50/lisp/org/org-timer
/home/jbraun/.emacs.d/elpa/org-20150921/org-colview hides 
/usr/share/emacs/25.1.50/lisp/org/org-colview
/home/jbraun/.emacs.d/elpa/org-20150921/ob-ocaml hides 
/usr/share/emacs/25.1.50/lisp/org/ob-ocaml
/home/jbraun/.emacs.d/elpa/org-20150921/org-bibtex hides 
/usr/share/emacs/25.1.50/lisp/org/org-bibtex
/home/jbraun/.emacs.d/elpa/org-20150921/ob-sass hides 
/usr/share/emacs/25.1.50/lisp/org/ob-sass
/home/jbraun/.emacs.d/elpa/org-20150921/org-ctags hides 
/usr/share/emacs/25.1.50/lisp/org/org-ctags
/home/jbraun/.emacs.d/elpa/org-20150921/org-list hides 
/usr/share/emacs/25.1.50/lisp/org/org-list
/home/jbraun/.emacs.d/elpa/org-20150921/ob-asymptote hides 
/usr/share/emacs/25.1.50/lisp/org/ob-asymptote
/home/jbraun/.emacs.d/elpa/org-20150921/ob-js hides 
/usr/share/emacs/25.1.50/lisp/org/ob-js
/home/jbraun/.emacs.d/elpa/org-20150921/ox-org hides 
/usr/share/emacs/25.1.50/lisp/org/ox-org
/home/jbraun/.emacs.d/elpa/org-20150921/ox-man hides 
/usr/share/emacs/25.1.50/lisp/org/ox-man
/home/jbraun/.emacs.d/elpa/org-20150921/org-faces hides 
/usr/share/emacs/25.1.50/lisp/org/org-faces
/home/jbraun/.emacs.d/elpa/org-20150921/ob-latex hides 
/usr/share/emacs/25.1.50/lisp/org/ob-latex
/home/jbraun/.emacs.d/elpa/org-20150921/org-plot hides 
/usr/share/emacs/25.1.50/lisp/org/org-plot
/home/jbraun/.emacs.d/elpa/org-20150921/ob-table hides 
/usr/share/emacs/25.1.50/lisp/org/ob-table
/home/jbraun/.emacs.d/elpa/org-20150921/org-macro hides 
/usr/share/emacs/25.1.50/lisp/org/org-macro
/home/jbraun/.emacs.d/elpa/org-20150921/org-eshell hides 
/usr/share/emacs/25.1.50/lisp/org/org-eshell
/home/jbraun/.emacs.d/elpa/org-20150921/ob-screen hides 
/usr/share/emacs/25.1.50/lisp/org/ob-screen
/home/jbraun/.emacs.d/elpa/org-20150921/org-mobile hides 
/usr/share/emacs/25.1.50/lisp/org/org-mobile
/home/jbraun/.emacs.d/elpa/org-20150921/org-attach hides 
/usr/share/emacs/25.1.50/lisp/org/org-attach
/home/jbraun/.emacs.d/elpa/org-20150921/org-archive hides 
/usr/share/emacs/25.1.50/lisp/org/org-archive
/home/jbraun/.emacs.d/elpa/org-20150921/org-id hides 
/usr/share/emacs/25.1.50/lisp/org/org-id
/home/jbraun/.emacs.d/elpa/org-20150921/org-inlinetask hides 
/usr/share/emacs/25.1.50/lisp/org/org-inlinetask
/home/jbraun/.emacs.d/elpa/org-20150921/ox-md hides 
/usr/share/emacs/25.1.50/lisp/org/ox-md
/home/jbraun/.emacs.d/elpa/org-20150921/ob-fortran hides 
/usr/share/emacs/25.1.50/lisp/org/ob-fortran
/home/jbraun/.emacs.d/elpa/org-20150921/ob-org hides 
/usr/share/emacs/25.1.50/lisp/org/ob-org
/home/jbraun/.emacs.d/elpa/org-20150921/org-compat hides 
/usr/share/emacs/25.1.50/lisp/org/org-compat
/home/jbraun/.emacs.d/elpa/org-20150921/org-w3m hides 
/usr/share/emacs/25.1.50/lisp/org/org-w3m
/home/jbraun/.emacs.d/elpa/org-20150921/ob-eval hides 
/usr/share/emacs/25.1.50/lisp/org/ob-eval
/home/jbraun/.emacs.d/elpa/org-20150921/ob-haskell hides 
/usr/share/emacs/25.1.50/lisp/org/ob-haskell
/home/jbraun/.emacs.d/elpa/org-20150921/org-clock hides 
/usr/share/emacs/25.1.50/lisp/org/org-clock
/home/jbraun/.emacs.d/elpa/org-20150921/ob-lisp hides 
/usr/share/emacs/25.1.50/lisp/org/ob-lisp
/home/jbraun/.emacs.d/elpa/org-20150921/org-indent hides 
/usr/share/emacs/25.1.50/lisp/org/org-indent
/home/jbraun/.emacs.d/elpa/org-20150921/ob-exp hides 
/usr/share/emacs/25.1.50/lisp/org/ob-exp
/home/jbraun/.emacs.d/elpa/org-20150921/org-bbdb hides 
/usr/share/emacs/25.1.50/lisp/org/org-bbdb
/home/jbraun/.emacs.d/elpa/org-20150921/ob-picolisp hides 
/usr/share/emacs/25.1.50/lisp/org/ob-picolisp
/home/jbraun/.emacs.d/elpa/org-20150921/ob-R hides 
/usr/share/emacs/25.1.50/lisp/org/ob-R
/home/jbraun/.emacs.d/elpa/org-20150921/org-loaddefs hides 
/usr/share/emacs/25.1.50/lisp/org/org-loaddefs
/home/jbraun/.emacs.d/elpa/org-20150921/ob-awk hides 
/usr/share/emacs/25.1.50/lisp/org/ob-awk
/home/jbraun/.emacs.d/elpa/org-20150921/ob-maxima hides 
/usr/share/emacs/25.1.50/lisp/org/ob-maxima
/home/jbraun/.emacs.d/elpa/org-20150921/ob-perl hides 
/usr/share/emacs/25.1.50/lisp/org/ob-perl
/home/jbraun/.emacs.d/elpa/org-20150921/ob-octave hides 
/usr/share/emacs/25.1.50/lisp/org/ob-octave
/home/jbraun/.emacs.d/elpa/org-20150921/org-rmail hides 
/usr/share/emacs/25.1.50/lisp/org/org-rmail
/home/jbraun/.emacs.d/elpa/org-20150921/ox hides 
/usr/share/emacs/25.1.50/lisp/org/ox
/home/jbraun/.emacs.d/elpa/org-20150921/ob-core hides 
/usr/share/emacs/25.1.50/lisp/org/ob-core
/home/jbraun/.emacs.d/elpa/org-20150921/ob-scheme hides 
/usr/share/emacs/25.1.50/lisp/org/ob-scheme
/home/jbraun/.emacs.d/elpa/org-20150921/org-mhe hides 
/usr/share/emacs/25.1.50/lisp/org/org-mhe
/home/jbraun/.emacs.d/elpa/org-20150921/org-feed hides 
/usr/share/emacs/25.1.50/lisp/org/org-feed
/home/jbraun/.emacs.d/elpa/org-20150921/ob-sql hides 
/usr/share/emacs/25.1.50/lisp/org/ob-sql
/home/jbraun/.emacs.d/elpa/org-20150921/ob-lilypond hides 
/usr/share/emacs/25.1.50/lisp/org/ob-lilypond
/home/jbraun/.emacs.d/elpa/org-20150921/org-footnote hides 
/usr/share/emacs/25.1.50/lisp/org/org-footnote
/home/jbraun/.emacs.d/elpa/org-20150921/ob-calc hides 
/usr/share/emacs/25.1.50/lisp/org/ob-calc
/home/jbraun/.emacs.d/elpa/org-20150921/ob-emacs-lisp hides 
/usr/share/emacs/25.1.50/lisp/org/ob-emacs-lisp
/home/jbraun/.emacs.d/elpa/org-20150921/ob-comint hides 
/usr/share/emacs/25.1.50/lisp/org/ob-comint
/home/jbraun/.emacs.d/elpa/org-20150921/ob-ditaa hides 
/usr/share/emacs/25.1.50/lisp/org/ob-ditaa
/home/jbraun/.emacs.d/elpa/org-20150921/ob-ledger hides 
/usr/share/emacs/25.1.50/lisp/org/ob-ledger
/home/jbraun/.emacs.d/elpa/org-20150921/ox-icalendar hides 
/usr/share/emacs/25.1.50/lisp/org/ox-icalendar
/home/jbraun/.emacs.d/elpa/org-20150921/ob-java hides 
/usr/share/emacs/25.1.50/lisp/org/ob-java
/home/jbraun/.emacs.d/elpa/org-20150921/ob-shen hides 
/usr/share/emacs/25.1.50/lisp/org/ob-shen
/home/jbraun/.emacs.d/elpa/org-20150921/org-capture hides 
/usr/share/emacs/25.1.50/lisp/org/org-capture
/home/jbraun/.emacs.d/elpa/org-20150921/org-agenda hides 
/usr/share/emacs/25.1.50/lisp/org/org-agenda
/home/jbraun/.emacs.d/elpa/org-20150921/ob-mscgen hides 
/usr/share/emacs/25.1.50/lisp/org/ob-mscgen
/home/jbraun/.emacs.d/elpa/org-20150921/org-version hides 
/usr/share/emacs/25.1.50/lisp/org/org-version
/home/jbraun/.emacs.d/elpa/org-20150921/org-mouse hides 
/usr/share/emacs/25.1.50/lisp/org/org-mouse
/home/jbraun/.emacs.d/elpa/org-20150921/ob-dot hides 
/usr/share/emacs/25.1.50/lisp/org/ob-dot
/home/jbraun/.emacs.d/elpa/org-20150921/org-install hides 
/usr/share/emacs/25.1.50/lisp/org/org-install
/home/jbraun/.emacs.d/elpa/org-20150921/ox-latex hides 
/usr/share/emacs/25.1.50/lisp/org/ox-latex
/home/jbraun/.emacs.d/elpa/org-20150921/org-irc hides 
/usr/share/emacs/25.1.50/lisp/org/org-irc
/home/jbraun/.emacs.d/elpa/org-20150921/org-pcomplete hides 
/usr/share/emacs/25.1.50/lisp/org/org-pcomplete
/home/jbraun/.emacs.d/elpa/org-20150921/org-crypt hides 
/usr/share/emacs/25.1.50/lisp/org/org-crypt
/home/jbraun/.emacs.d/elpa/org-20150921/org-habit hides 
/usr/share/emacs/25.1.50/lisp/org/org-habit
/home/jbraun/.emacs.d/elpa/org-20150921/ob-clojure hides 
/usr/share/emacs/25.1.50/lisp/org/ob-clojure
/home/jbraun/.emacs.d/elpa/org-20150921/ob-ref hides 
/usr/share/emacs/25.1.50/lisp/org/ob-ref
/home/jbraun/.emacs.d/elpa/org-20150921/org hides 
/usr/share/emacs/25.1.50/lisp/org/org
/home/jbraun/.emacs.d/elpa/org-20150921/org-protocol hides 
/usr/share/emacs/25.1.50/lisp/org/org-protocol
/home/jbraun/.emacs.d/elpa/irony-20150831.144/.dir-locals hides 
/usr/share/emacs/25.1.50/lisp/gnus/.dir-locals
/home/jbraun/.emacs.d/site-lisp/progmodes/cc-mode/cc-compat hides 
/usr/share/emacs/25.1.50/lisp/obsolete/cc-compat

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils character-fold misearch
multi-isearch jka-compr eieio-opt speedbar sb-image ezimage dframe
helm-elisp helm-eval edebug map nxhtml-mode popcmp rngalt
ourcomments-util loadhist rng-nxml nxml-mode nxml-outln nxml-rap
nxml-glyph rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match
rng-dt rng-util rng-pttrn nxml-ns nxml-util nxml-enc xmltok ert ewoc
debug d-mode winner vc vc-dispatcher flymake elec-pair
flycheck-color-mode-line face-remap flycheck find-func subr-x
dtrt-indent switch-window quail helm-mode helm-projectile helm-files rx
image-dired tramp tramp-compat tramp-loaddefs trampver shell pcomplete
format-spec ffap helm-tags helm-bookmark helm-adaptive helm-info
bookmark pp helm-external helm-net browse-url xml url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap helm-buffers helm-grep helm-regexp helm-plugin
helm-elscreen helm-utils helm-locate helm-help helm-types projectile
ibuf-ext ibuffer ibuffer-loaddefs dash thingatpt helm-config
helm-easymenu async-bytecomp async helm-aliases helm helm-source
eieio-compat helm-multi-match helm-lib popwin zeal-at-point
nxhtml-autostart nxhtml-autoload majmodpri vc-git diff-mode easy-mmode
seq warnings nxhtml-menu web-autoload nxhtml-base ethan-wspace
org-install grep+ grep compile comint ansi-color ring wdired
dired-sort-menu advice dired-explore dired+ ediff-merg ediff-wind
ediff-diff ediff-mult ediff-help ediff-init ediff-util dired-aux dired-x
dired dired-loaddefs auto-complete-config auto-complete edmacro kmacro
popup regexp-opti generic filladapt cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-langs cc-bytecomp cc-vars
cc-defs make-regexp eol-conversion cl delsel cua-base imenu+ imenu
solarized-theme solarized-definitions cus-edit wid-edit
rainbow-delimiters paren mb-depth cus-start cus-load finder-inf info
package epg-config url-handlers url-parse auth-source cl-seq eieio
byte-opt bytecomp byte-compile cl-extra cconv eieio-core cl-macs gv
eieio-loaddefs gnus-util mm-util help-fns help-mode easymenu cl-loaddefs
pcase cl-lib mail-prsvr password-cache url-vars time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 392365 25333)
  (symbols 48 42345 0)
  (miscs 40 732 420)
  (strings 32 90011 27045)
  (string-bytes 1 2786651)
  (vectors 16 40851)
  (vector-slots 8 861502 22556)
  (floats 8 479 759)
  (intervals 56 2580 24)
  (buffers 976 25)
  (heap 1024 65314 2863))





Acknowledgement sent to "Jeremy T. Braun" <spamprevent@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22321; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Jul 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.